petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoDrawGradientMonitor

Plots the gradient at each iteration It can be turned on from the command line using the -tao_draw_gradient option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDrawGradientMonitor(Tao tao, void *ctx)

Collective on Tao Many br

### Input Parameters

| tao | - the Tao context Many br
| ctx | - PetscViewer context Many br

### Options Database Keys

-tao_draw_gradient - Many br Many br

### See Also

TaoGradientMonitor(), TaoSetMonitor(), TaoDrawSolutionMonitor

Level:advanced
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages